= form_for(resource, user_form_options(resource_name, action_name)) do |f|
  = render 'devise/shared/error_messages', resource: resource

  .field.my-3
    = f.label :email
    = f.email_field :email, autofocus: true, autocomplete: 'email', class: 'form-control'

  .field.my-3
    = f.label :username
    = f.text_field :username, class: 'form-control'
    
  .field.my-3
    = f.label :birthdate
    = f.date_field :birthdate, class: 'form-control'
    
  .field.my-3
    = f.label :language
    = f.select :language, available_languages, { prompt: t('.select_one') }, { class: 'form-control', include_blank: false }

  = render 'devise/shared/password_fields', f: f, pw_length: pw_length        

  .actions.mt-3.d-flex.justify-content-center
    = f.submit submit_for(action_name), class: 'btn btn-dark m-3'
    = render 'devise/shared/links'

= javascript_pack_tag 'user_form'